/***************************************************************************

Copyright (c) Microsoft Corporation. All rights reserved.
This code is licensed under the Visual Studio SDK license terms.
THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

#ifndef dllmain_h
#define dllmain_h

//open Visual Studio root key: HKLM\software\microsoft\visualstudio\8.0
HRESULT RegOpenKeyVS( REGSAM samDesired, out HKEY* key );

extern HINSTANCE    g_instance;

extern ITypeInfo*   g_typeInfoColorSink;
extern ITypeInfo*   g_typeInfoParseSink;
extern ITypeInfo*   g_typeInfoScope;
extern ITypeInfo*   g_typeInfoDeclarations;
extern ITypeInfo*   g_typeInfoNames;
extern ITypeInfo*   g_typeInfoMethods;
extern ITypeInfo*   g_typeInfoBabelPackage;

extern HIMAGELIST   g_imageList;
const  long         g_imageListCount = 180;


#endif
