/***************************************************************************

Copyright (c) Microsoft Corporation. All rights reserved.
This code is licensed under the Visual Studio SDK license terms.
THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

#ifndef project_h
#define project_h


//standard libraries
#include <assert.h>
#include <stdlib.h>
#include <stdio.h>
#include <malloc.h>

//standard windows libraries
#include <windows.h>
#include <commctrl.h>   //for image lists

//vs extensibility interfaces
#include "vsshell.h"
#include "textmgr.h"
#include "objext.h"

#include <atlbase.h>
#include <atlconv.h>

//common: macros 
#include "common.h"

//list of interfaces
#include "objectlist.h"

//babel
#include "babelservice.h"

//vstudio common
#include "vscommon.h"

//disable some warnings
#pragma warning (disable: 4100) //unreferenced formal parameter

// Global reference count for the module
extern ULONG g_dllRefCount;

#endif
