/***************************************************************************

Copyright (c) Microsoft Corporation. All rights reserved.
This code is licensed under the Visual Studio SDK license terms.
THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.

***************************************************************************/

#ifndef taskitem_h
#define taskitem_h

/*---------------------------------------------------------
  CreateTask
-----------------------------------------------------------*/
HRESULT CreateTask( in IServiceProvider* provider,
                    in IVsTextLines*     textLines,
                    in MARKERTYPE        markerType,                  
                    in BSTR tipText, in const wchar_t* fileName, bool readOnly,
                    in TextSpan& span,
                    in VSTASKPRIORITY priority, in VSTASKBITMAP bitmap, in VSTASKCATEGORY category,
                    out IVsTaskItem** taskItem
                  );

#endif
