﻿#ifndef service_h
#define service_h

#include <common.h>
#include <languagedef.h>
#include <stdservice.h>

/*
Command Arguments:

C:\Program Files\Microsoft Visual Studio 8\Common7\IDE\devenv.exe


/rootsuffix Exp

C:\Program Files\Microsoft Visual Studio 8\Common7\IDE\devenv.exe /rootsuffix Exp "test.py"

*/


// "C:\Program Files\Visual Studio 2005 SDK\2007.02\VisualStudioIntegration\tools\bin\RegIt" /root:Software\Microsoft\VisualStudio\8.0Exp  "$(TargetPath)"

// "C:\Program Files\Visual Studio 2005 SDK\2007.02\VisualStudioIntegration\tools\bin\RegIt" /root:Software\Microsoft\VisualStudio\8.0Exp  "$(TargetPath)"


/*
	-u  to uninstall
	8.0Exp change to 8.0 makes it effect full development package (Exp->Experimental)

	Register PLK, and as it as a resource string
*/


// C:\Program Files\Visual Studio 2005 SDK\2007.02\VisualStudioIntegration\Archive\Babel\tools


class Service : public CommentService
{
protected:
  override const CommentFormat* getCommentFormat() const;

  override const TokenInfo*     getTokenInfo()     const;
};


#endif