#ifndef YYSTYPE
#define YYSTYPE int
#endif

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#define	IDENTIFIER	258
#define	NUMBER	259
#define	KWIF	260
#define	KWELSE	261
#define	KWWHILE	262
#define	KWFOR	263
#define	KWAND	264
#define	KWDEL	265
#define	KWFROM	266
#define	KWNOT	267
#define	KWAS	268
#define	KWELIF	269
#define	KWGLOBAL	270
#define	KWOR	271
#define	KWWITH	272
#define	KWASSERT	273
#define	KWPASS	274
#define	KWYIELD	275
#define	KWBREAK	276
#define	KWEXCEPT	277
#define	KWIMPORT	278
#define	KWPRINT	279
#define	KWCLASS	280
#define	KWEXEC	281
#define	KWIN	282
#define	KWRAISE	283
#define	KWCONTINUE	284
#define	KWFINALLY	285
#define	KWIS	286
#define	KWRETURN	287
#define	KWDEF	288
#define	KWLAMBDA	289
#define	KWTRY	290
#define	KWSTATIC	291
#define	KWAUTO	292
#define	KWEXTERN	293
#define	KWINT	294
#define	KWVOID	295
#define	STRING_QUOTE	296
#define	MFALSE	297
#define	MTRUE	298
#define	EQ	299
#define	NEQ	300
#define	GT	301
#define	GTE	302
#define	LT	303
#define	LTE	304
#define	AMPAMP	305
#define	BARBAR	306
#define	OPAND	307
#define	OPOR	308
#define	LEX_WHITE	309
#define	LEX_COMMENT	310
#define	LEX_LINE_COMMENT	311


extern YYSTYPE yylval;
